Mureka 9.5 Lyrics Video
統合
モデルID
mureka/api/generate/lyrics-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/lyrics-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/mureka/api/generate/lyrics-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/mureka/api/generate/lyrics-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "mureka/api/generate/lyrics-video",
"input": {}
}
Doitong APIを通じてMureka 9.5 Lyrics Videoモデル(mureka/api/generate/lyrics-video)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/mureka/api/generate/lyrics-video.md
POST https://api.doitong.com/v1/run/mureka/api/generate/lyrics-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.com/v1/quote/mureka/api/generate/lyrics-videoを実行すると、実行前の正確な価格が返されます。
このリクエスト: $0.15 150 APIクレジット このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/mureka/api/generate/lyrics-video?wait=20
見積もり → $0.15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/lyrics-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/mureka/api/generate/lyrics-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/mureka/api/generate/lyrics-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "mureka/api/generate/lyrics-video",
"input": {},
"wait_seconds": 20
}
}
}
Mureka 9.5 Lyrics Videoについて
`song_id` または `upload_audio_id` のいずれか一方から歌詞動画を作成します。`aspect_ratio`(16:9、9:16、3:4、4:3)と7種類の `layout` テンプレートから1つを選び、任意で `title`、`background_id`、`cover_url` を追加できます。曲の一部だけを使用する場合は、歌詞行またはミリ秒単位の時間範囲のどちらか一方を選択します。
パラメータ
名前型
デフォルト許可される値
説明
song_id任意
型string | null
upload_audio_id の代わりに song_id として指定する生成音声識別子。いずれか一方が必須です。曲またはインストゥルメンタルのレスポンス内の song_id から値を取得します。
upload_audio_id任意
型string | null
song_id の代わりに upload_audio_id として指定するアップロード済み音声識別子。いずれか一方が必須です。purpose='audio' を指定して /files/upload から取得します。
background_id任意
型string | null
purpose='lyrics-video' を使用して /files/upload から取得した背景画像識別子。
cover_url任意
型string | null
layout_1 では使用できない任意のカバー画像。データURIまたは公開アクセス可能なHTTPS URLでJPG、PNG、WebPを指定します。
title任意
型string | null
歌詞動画内に表示する任意のタイトル。
aspect_ratio任意
型enum
デフォルト9:16
16:99:163:44:3
生成された動画のアスペクト比。
layout任意
型enum
デフォルトlayout_1
layout_1layout_2layout_3layout_4layout_5layout_6layout_7
歌詞動画のビジュアルレイアウトを定義するテンプレート。
lyrics_start_row任意
型integer | null
≥ 1
行単位の選択で最初に含める歌詞行。lyrics_end_row が必要で、時間単位の選択とは併用できません。行番号は1から始まります。
lyrics_end_row任意
型integer | null
≥ 1
lyrics_start_row とともに定義する行単位の選択で最後に含める歌詞行。時間単位の選択とは併用しません。
selection_start任意
型integer | null
≥ 0
selection_end を必要とし、歌詞行の選択とは併用できない音声範囲の境界。含める音声の開始位置をミリ秒単位で指定します。
selection_end任意
型integer | null
≥ 0
selection_startが必要で、歌詞行の選択を除外する音声範囲の境界。含める音声の終了位置をミリ秒単位で指定します。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "mureka/api/generate/lyrics-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- video
- object {url, content_type, file_name, file_size}生成された動画ファイル。
その他のMureka 9.5バリアント
その他のモデル: リップシンクとアバター
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/mureka/api/generate/lyrics-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt